For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList brands
      • POSTCreate brand
      • PUTUpsert brand
      • GETRetrieve brand
      • PATCHUpdate brand
      • Brand
  • Customer Request API
  • Management API
LogoLogo
Network APIBrands

Upsert brand

PUT
/brands
PUT
/network/v1/brands
$curl -X PUT https://api.cash.app/network/v1/brands \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "brand": {
> "name": "brand name",
> "reference_id": "reference ID",
> "profile_image_url": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/60/Earth_from_Space.jpg/480px-Earth_from_Space.jpg",
> "color": "#ffffff"
> }
>}'
1{
2 "brand": {
3 "id": "string",
4 "name": "string",
5 "created_at": "2021-01-01T00:00:00Z",
6 "updated_at": "2021-01-01T00:00:00Z",
7 "reference_id": "example-id",
8 "color": "#ffffff",
9 "profile_image_url": "https://franklin-assets.s3.amazonaws.com/merchants/assets/v3/generic/m_category_business.png",
10 "metadata": {}
11 }
12}
Creates or updates a brand based on the brand's `reference_id`. If a brand with a matching `reference_id` is found, it will be updated. Ensure proper mapping; if no matching brand is found, a new one will be created. The HTTP response code (`200 OK` or `201 Created`) indicates whether the resource was updated or created, respectively. <Note> `brand_id` is the primary unique identifier for all Brand APIs. Be cautious when using `reference_id` as a unique identifier. </Note> **This endpoint is not rate limited.** Scopes: `BRANDS_WRITE`
Was this page helpful?
Previous

Retrieve brand

Next
Built with

Creates or updates a brand based on the brand’s reference_id.

If a brand with a matching reference_id is found, it will be updated. Ensure proper mapping; if no matching brand is found, a new one will be created.

The HTTP response code (200 OK or 201 Created) indicates whether the resource was updated or created, respectively.

brand_id is the primary unique identifier for all Brand APIs. Be cautious when using reference_id as a unique identifier.

This endpoint is not rate limited.

Scopes: BRANDS_WRITE

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

brandobjectRequired
Details about the brand to create or update.

Response

OK
brandobject
A brand is the entity a customer perceives that they are transacting with.

Errors

400
Bad Request Error